import 'package:flutter/material.dart';

// TODO add your dark theme colors palette
class DarkThemeColors {
  // PRIMARY
  static const Color primaryColor = Color(0xFF3B82F6);
  static const Color shadowColor = Color(0xFF0EA5E9);

  // SECONDARY
  static Color accentColor = Colors.white;

  //Appbar
  static const Color appbarColor = Colors.white;

  //SCAFFOLD
  static const Color scaffoldBackgroundColor = bg1;
  static const Color backgroundColor = bg2;
  static const Color dividerColor = strokes1;
  static const Color cardColor = bg3;

  //ICONS
  static const Color appBarIconsColor = Colors.white;
  static const Color iconColor = primaryColor;

  //BUTTON
  static const Color buttonColor = primaryColor;
  static const Color buttonTextColor = Colors.black;
  static const Color buttonDisabledColor = Colors.grey;
  static const Color buttonDisabledTextColor = Colors.black;

  //TEXT
  static const Color bodyTextColor = text1;
  static const Color displayTextColor = text1;
  static const Color bodySmallTextColor = text1;
  static const Color hintTextColor = text2;

  //chip
  static const Color chipBackground = primaryColor;
  static const Color chipTextColor = Colors.black87;

  // progress bar indicator
  static const Color progressIndicatorColor = Color(0xFF40A76A);

  // list tile
  static const Color listTileTitleColor = Colors.white;
  static const Color listTileSubtitleColor = Colors.white;
  static const Color listTileBackgroundColor = Color(0xFF414141);
  static const Color listTileIconColor = Colors.white;

  //------------------- custom theme (extensions) ------------------- //
  // header containers
  static const Color headerContainerBackgroundColor = Color(0XFFf8a319);

  // employee list item
  static const Color employeeListItemBackgroundColor = Color(0xFF393939);
  static const Color employeeListItemNameColor = Colors.white;
  static const Color employeeListItemSubtitleColor = Color(0xFFEDEDED);
  static const Color employeeListItemIconsColor = Color(0xFFEDEDED);

  // connection button colors
  static const Color connectionButtonDisconnectedBg = Color(0x14FFFFFF);
  static const Color connectionButtonDisconnectedBorder = Color(0x66FFFFFF);
  static const Color connectionButtonConnectingBg = Color(0x1F7E6DFF);
  static const Color connectionButtonConnectingBorder = Color(0x1FFFFFFF);
  static const Color connectionButtonConnectedBg = Color(0x141FBC7B);
  static const Color connectionButtonConnectedBorder = Color(0xFF1FBC7B);
  static const Color connectionButtonProgressColor = Color(0xFF7E6DFF);

  // bottom navigation bar colors
  static const Color bottomBarSelectedColor = Color(0xFF63FBFB);
  static const Color bottomBarUnselectedColor = Color(0xFF8E8E93);
  static const Color bottomBarBackgroundColor = Color(0xFF1C1C1E);

  static const Color bg1 = Color(0xFF000000);
  static const Color bg2 = Color(0xFF272A33);
  static const Color bg3 = Color(0xFF1C1E25);
  static const Color bgDisable = Color(0xFF0E0F13);
  static const Color bgScrim = Color(0x99000000);
  static const Color text1 = Color(0xFFFFFFFF);
  static const Color text2 = Color(0xFF646776);
  static const Color textDisable = Color(0xFF272A33);
  static const Color textBrand = Color(0xFFFFFFFF);
  static const Color strokes1 = Color(0xFF32343C);
  static const Color strokes2 = Color(0xFF1C1E25);

  static const Color errorColor = Color(0xFFEF0000);

  static const Color subscriptionColor = Color(0xFFF5D89F);
  static const Color subscriptionSelectColor = Color(0xFF1FBC7B);

  static const Color settingAppLinearGradientStartColor = Color(0xFFFFC262);
  static const Color settingAppLinearGradientEndColor = Color(0xFFE09643);
  static const Color settingSecurityLinearGradientStartColor = Color(
    0xFFFF9994,
  );
  static const Color settingSecurityLinearGradientEndColor = Color(0xFFC9433C);
  static const Color validTermColor = Color(0xFFFFCC00);

  static const Color disconnectedIconColor = Color(0xFF646776);
  static const Color connectingIconColor = Color(0xFFEA9800);
  static const Color connectedIconColor = Color(0xFF5182E1);

  static const Color homePremiumColor = Color(0x0DFFFFFF);
  static const Color homeFreeColor = Color(0x0DFFFFFF);
  static const Color homeTestColor = Color(0x0DFFFFFF);

  static const Color homePremiumTextColor = Color(0xFFFFD58D);
  static const Color homeFreeTextColor = Color(0xFF626778);
  static const Color homeTestTextColor = Color(0xFF626778);
}
